# Memcached::appendByKey

(PECL memcached >= 0.1.0)

Memcached::appendByKey — Añadir datos a un ítem existente en un servidor específico

### Descripción

public Memcached::appendByKey(string `$server_key`, string `$key`, string `$value`): bool

La funcionalidad de Memcached::appendByKey() es equivalente a la de Memcached::append(), con la excepción de que `server_key` se puede utilizar para que la clave dada por `key` corresponda a un servidor específico.

### Parámetros

`server_key`

  La clave que identifica al servidor donde guardar o recuperar el valor. En lugar de realizar un hash en la clave real para el ítem, se realiza en la clave del servidor cuando se decide con qué servidor de memcached conversar. Esto permite que los ítems relacionados sean agrupados en un único servidor para una mayor eficacia con operaciones múltiples.

`key`

  La clave en la que se guardará el valor.

`value`

  El string a añadir.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. Memcached::getResultCode() devolverá `Memcached::RES_NOTSTORED` si clave no existe.

### Ver también

- Memcached::append() - Añadir datos a un ítem existente
- Memcached::prepend() - Anteponer datos a un ítem existente